Cannot install Lxml on Mac OS X 10.9 Cannot install Lxml on Mac OS X 10.9 python python

Cannot install Lxml on Mac OS X 10.9


You should install or upgrade the commandline tool for Xcode.Try this in a terminal:

xcode-select --install


I solved this issue on Yosemite by both installing and linking libxml2 and libxslt through brew:

brew install libxml2brew install libxsltbrew link libxml2 --forcebrew link libxslt --force

If you have solved the problem using this method but it pops up again at a later time, you might need to run this before the four lines above:

brew unlink libxml2brew unlink libxslt

If you are having permission errors with Homebrew, especially on El Capitan, this is a helpful document. In essence, regardless of OS X version, try running:

sudo chown -R $(whoami):admin /usr/local


You may solve your problem by running this on the commandline:

 STATIC_DEPS=true pip install lxml

It sure helped me.Explanations on docs


matomo